## qjson 0.7.1

=== debian/changelog ===
qjson (0.7.1-7) unstable; urgency=low

  * Add fix_cmake_variables.patch by Ralf Jung (Closes: #687537).
    - Remove now obsolete install_cmake_config.patch.
    - Refresh enable_multiarch.patch.
    - Refresh debian/series.
    - Refresh libqjson-dev.install.
  * Fix versioned depends on debhelper. Last time we uploaded compat 9 was
    experimental.
    - Remove unused lintian override.
  * Update symbols files with symbols from the buildds.
  * Update Standars-Version to 3.9.4. No changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Nov 2012 08:46:09 -0300

qjson (0.7.1-6) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change my e-mail address.
  * Remove the DM-Upload-Allowed flag. It is no longer needed.
  * Use DEB_CXXFLAGS_MAINT_APPEND instead of exporting CXXFLAGS. Thanks
    Felix Geyer for the bug + solution (Closes: #647282).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 07 Nov 2011 22:45:30 -0300

qjson (0.7.1-5) unstable; urgency=low

  * Fix typos and nouns capitalization in package's descriptions.
    Thanks Filipus Klutiero for checking (Closes: #637373).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 09 Sep 2011 18:04:49 -0300

qjson (0.7.1-4) experimental; urgency=low

  * Enable multiarch in the lib.
    - B-D on debhelper >= 8.1.3.
    - B-D on cmake >= 2.8.5. Thanks Modestas Vainius for the tip.
    - Update debian/compat to 9.
    - Modify debian/*.install files to support arch triplets.
    - Patch CMakeLists.txt to install stuff in ${CMAKE_LIBRARY_ARCHITECTURE},
      wich is the same as DEB_HOST_MULTIARCH. Also thanks Modestas.
    - Add Pre-Depends: ${misc:Pre-Depends} to libqjson0.
    - Add a lintian override on debian/compat being 9, wich is still
      experimental.
    - Mark libqjson0 Multi-Arch: same.
  * Do not install FindQJSON.cmake. CMake maintainer tells me this must have
    been for older versions of CMake.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 28 Jul 2011 17:38:49 -0300

qjson (0.7.1-3) unstable; urgency=low

  * Fix watch file. Thanks José Manuel Santamaría Lema for the pointer.
  * Remember to install CMake's config files. Thanks Felix Geyer.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 16 Jun 2011 09:28:12 -0300

qjson (0.7.1-2) unstable; urgency=low

  * Switched packaging to format 3.0 (quilt).
  * Added visibility flags to generate less noisier symbol files.
  * Added a symbol file.
  * Removed duplicate "Section" field in libqjson0.
  * Bumped standards version to 3.9.2, no changes needed.
  * Make the debugging package recommend libqt4-dbg.
  * Enable DM-Upload-Allowed.
  * Rename libqjson0-dbg to libqjson-dbg, as it's easier to maintain.
    - Rename the dbg package in debian/rules.
    - Rename the dbg package in debian/control.
    - Add Breaks and Replaces statements on libqjson0-dbg to libqjson-dbg.
    - Provide a transitional dummy package libqjson0-dbg.
    - Tell Lintian not to complain about missing dependencies with the
      dummy package.
  * Be more verbose on install files.
  * Build-Depend on pkg-kde-tools in order to use pkgkde-symbolshelper.
  * Enable parallel build.
  * Create CMake's config files using changes introduced upstream. See
    install_cmake_config.patch for more info (Closes: #628981).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 12 Jun 2011 16:16:06 -0300

qjson (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 03 Dec 2009 21:15:23 -0300

qjson (0.6.3+svn1050695-1) unstable; urgency=low

  * New upstream release.
  * Improved parser performances.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 17 Nov 2009 19:47:52 -0300

qjson (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #549160)

  +++ Changes by Sune Vuorela:

  * Add dbg package

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 27 Sep 2009 17:44:37 -0300
