=== debian/control ===
Source: qjson
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>
Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
 libqt4-dev, pkg-kde-tools (>= 0.6)
Standards-Version: 3.9.4
Section: libs
Homepage: http://qjson.sourceforge.net/

Package: libqjson0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt-based library that maps JSON data to QVariant objects
 JSON (JavaScript Object Notation) is a lightweight data-interchange format.
 It can represent integers, real numbers, strings, an ordered sequence of
 values, and a collection of name/value pairs.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be
 mapped to QVariantMap.

Package: libqjson-dev
Section: libdevel
Architecture: any
Depends: libqjson0 (= ${binary:Version}), ${misc:Depends}
Description: Qt-based library that maps JSON data to QVariant objects - development files
 JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
 It can represent integers, real numbers, strings, an ordered sequence of
 values, and a collection of name/value pairs.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be 
 mapped to QVariantMap.
 .
 These are the development files.

Package: libqjson-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
Replaces: libqjson0-dbg (<< 0.7.1-1)
Breaks: libqjson0-dbg (<< 0.7.1-1)
Description: Qt-based library that maps JSON data to QVariant objects, debug info
 debug info for qt based library that maps JSON adta to QVariant objects.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be
 mapped to QVariantMap.

Package: libqjson0-dbg
Section: oldlibs
Architecture: all
Depends: libqjson-dbg, ${misc:Depends}
Description: trasitional dummy package for qjson's debugging symbols
 This package is intended to provide a smooth transition to
 libqjson-dbg. It can be safely removed.
