=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
        -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libqjson-dbg \
	--with=pkgkde-symbolshelper \
	--parallel \
	--list-missing
