=== debian/changelog ===
qjson (0.8.1-3) unstable; urgency=low

  * Switch priority to optional. A lot of packages with priority optional
    depend on qjson, so going against the Debian policy.
    Thanks Pino Toscano for pointing it out.
  * Update symbols file with buildds' logs.
  * Make libqjson-dbg and libqjson0-dbg Priority: extra.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 04 Sep 2013 21:10:24 -0300

qjson (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Enable tests. Thanks Pino for the pointer :)
  * Confirm symbols from other architectures.
  * Fix typo in package description. Thanks Pascal De Vuyst (Closes: #712404).
  * Fix missing M-A qualification of the debug package.
  * Update amd64 symbols.
  * Fail if we are not shipping some files.
  * Be sure to build against Qt4 by exporting QT_SELECT. Not really needed,
    but doesn't hurts.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Jun 2013 14:30:37 -0300

qjson (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * Remove fix_cmake_variables.patch, not necessary anymore.
  * Refresh enable_multiarch.patch.
  * Fix docs installation.
  * Refresh symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 28 Nov 2012 09:41:44 -0300
