=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qjson
-Priority: extra
+Priority: optional
 Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>
 Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
@@ -39,7 +39,9 @@
 
 Package: libqjson-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Multi-Arch: same
 Recommends: libqt4-dbg
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
 Replaces: libqjson0-dbg (<< 0.7.1-1)
@@ -53,8 +55,9 @@
 
 Package: libqjson0-dbg
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: libqjson-dbg, ${misc:Depends}
-Description: trasitional dummy package for qjson's debugging symbols
+Description: transitional dummy package for qjson's debugging symbols
  This package is intended to provide a smooth transition to
  libqjson-dbg. It can be safely removed.
