=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,15 @@
 
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
         -fvisibility-inlines-hidden
+export QT_SELECT := qt4
 
 %:
 	dh $@ --dbg-package=libqjson-dbg \
 	--with=pkgkde-symbolshelper \
-	--parallel \
-	--list-missing
+	--parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DQJSON_BUILD_TESTS=ON
+
+override_dh_install:
+	dh_install --fail-missing
