=== debian/changelog ===
qjson (0.8.1-2+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Mon, 10 Feb 2014 18:12:20 +0100
