=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: qjson
-Priority: optional
-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Priority: extra
+Maintainer: Marcin Mielniczuk <marmistrz@inboxalias.com>
+XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>
-Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
- libqt4-dev, pkg-kde-tools (>= 0.6)
+Build-Depends: dpkg, debhelper, cmake,
+ libqt4-dev, pkg-kde-tools, maemo-optify
 Standards-Version: 3.9.4
 Section: libs
 Homepage: http://qjson.sourceforge.net/
 
 Package: libqjson0
-Architecture: any
+Architecture: armel
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -22,9 +23,17 @@
  arrays will be mapped to QVariantList instances, while JSON objects will be
  mapped to QVariantMap.
 
+Package: libqjson
+Architecture: armel
+Depends: ${misc:Depends}, libqjson0 (= ${binary:Version})
+Multi-Arch: same
+Description: transitional dummy package for qjson's main package
+ This package is intended to provide a smooth transition to
+ libqjson. It can be safely removed.
+
 Package: libqjson-dev
 Section: libdevel
-Architecture: any
+Architecture: armel
 Depends: libqjson0 (= ${binary:Version}), ${misc:Depends}
 Description: Qt-based library that maps JSON data to QVariant objects - development files
  JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
@@ -39,8 +48,7 @@
 
 Package: libqjson-dbg
 Section: debug
-Priority: extra
-Architecture: any
+Architecture: armel
 Multi-Arch: same
 Recommends: libqt4-dbg
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
@@ -55,8 +63,7 @@
 
 Package: libqjson0-dbg
 Section: oldlibs
-Priority: extra
-Architecture: all
+Architecture: armel
 Depends: libqjson-dbg, ${misc:Depends}
 Description: transitional dummy package for qjson's debugging symbols
  This package is intended to provide a smooth transition to
