=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
        -fvisibility-inlines-hidden
export QT_SELECT := qt4

%:
	dh $@ --dbg-package=libqjson-dbg \
	--parallel

override_dh_auto_configure:
	dh_auto_configure -- -DQJSON_BUILD_TESTS=ON

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify
